slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDPRIMMESetBlockSize

The maximum block size that PRIMME will try to use.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDPRIMMESetBlockSize(SVD svd,PetscInt bs)

Logically Collective

### Input Parameters

| svd | - the singular value solver context
| bs | - block size

### Options Database Key

| -svd_primme_blocksize | - Sets the max allowed block size value

### Notes

If the block size is not set, the value established by primme_svds_initialize is used.

The user should set the block size based on the architecture specifics of the target computer, as well as any a priori knowledge of multiplicities. The code does NOT require bs > 1 to find multiple eigenvalues. For some methods, keeping bs = 1 yields the best overall performance.

### See Also

SVDPRIMMEGetBlockSize()

### Level

advanced

### Location

src/svd/impls/external/primme/svdprimme.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages